Page MenuHomePhabricator

Make all role::mediawiki::* classes compatible with debian jessie
Closed, ResolvedPublic

Description

What we need, at minimum, is:

  1. backport HHVM from sid
  2. recompile all our extensions
  3. Fix packages in puppet
  4. Convert ::hhvm to use base::system_unit
  5. Verify what changed in apache between trusty and jessie
  6. Verify how jemalloc and libpcre are compiled on jessie (profiling is enabled? jit is enabled?)
  7. Test, test, test

Related Objects

Event Timeline

Joe created this task.Apr 4 2016, 9:00 AM
bd808 added a subscriber: bd808.May 24 2016, 11:19 PM

Change 291687 had a related patch set uploaded (by Giuseppe Lavagetto):
mediawiki::hhvm: debian jessie compatibility

https://gerrit.wikimedia.org/r/291687

Change 291687 merged by Giuseppe Lavagetto:
mediawiki::hhvm: debian jessie compatibility

https://gerrit.wikimedia.org/r/291687

Change 291688 had a related patch set uploaded (by Giuseppe Lavagetto):
nutcracker: add an additional guard on the master version

https://gerrit.wikimedia.org/r/291688

Change 291688 merged by Giuseppe Lavagetto:
nutcracker: add an additional guard on the master version

https://gerrit.wikimedia.org/r/291688

Joe added a comment.May 30 2016, 8:55 AM

What is left to do:

  • Make mediawiki::cgroup work with systemd or change the way we manage cgroups there
  • Adapt the apache::module system to use -f on jessie+ as it will refuse to remove some base modules from apache
  • Perf-tools, libboost1.54-dbg are not found on jessie

Change 292113 had a related patch set uploaded (by Giuseppe Lavagetto):
mediawiki::cgroup: systemd compatibility

https://gerrit.wikimedia.org/r/292113

Change 292135 had a related patch set uploaded (by Giuseppe Lavagetto):
apache::mod_conf: jessie compatibility

https://gerrit.wikimedia.org/r/292135

Change 292140 had a related patch set uploaded (by Giuseppe Lavagetto):
hhvm::debug: jessie compatibility

https://gerrit.wikimedia.org/r/292140

Change 292135 merged by Giuseppe Lavagetto:
apache::mod_conf: jessie compatibility

https://gerrit.wikimedia.org/r/292135

Change 292140 merged by Giuseppe Lavagetto:
hhvm::debug: jessie compatibility

https://gerrit.wikimedia.org/r/292140

Joe added a comment.Jun 6 2016, 6:10 AM

What is left to do:

  • Make mediawiki::cgroup work with systemd or change the way we manage cgroups there
  • Adapt the apache::module system to use -f on jessie+ as it will refuse to remove some base modules from apache
  • Perf-tools, libboost1.54-dbg are not found on jessie

I just found out we need to re-package quickstack as the version currently in jessie is broken, and also, I'm seeing a weird hhvm behaviour that I can't really explain at the moment.

Change 292896 had a related patch set uploaded (by Giuseppe Lavagetto):
facter: remove references to $::memorytotal

https://gerrit.wikimedia.org/r/292896

Change 292113 merged by Giuseppe Lavagetto:
mediawiki::cgroup: systemd compatibility

https://gerrit.wikimedia.org/r/292113

Change 292896 merged by Giuseppe Lavagetto:
facter: remove references to $::memorytotal

https://gerrit.wikimedia.org/r/292896

Joe added a comment.Jun 6 2016, 3:13 PM

MediaWiki was dropped from the latest debian stable point release, so mediawiki-math-textvc is not available on jessie anymore.

I am going to rebuild the package starting from ubuntu trusty's version

Joe added a comment.Jun 7 2016, 6:46 AM

I created a new package for jessie from our own package that is used in trusty, just removing the mediawiki-extensons-math package from the control file as we don't use it.

Latest puppet run on mw1262:

Info: Retrieving pluginfacts
Info: Retrieving plugin
Info: Loading facts
Info: Caching catalog for mw1262.eqiad.wmnet
Info: Applying configuration version '1465281743'
Notice: Finished catalog run in 24.46 seconds

which means the puppet run time is reduced by roughly 60%; even counting it's a powerful machine, that's pretty nice.

Joe added a comment.Jun 7 2016, 10:16 AM

mw1261 and mw1262 are both live and working correctly AFAICT. They will be inserted in the server rotation this week and thus this ticket is now solved.

Joe closed this task as Resolved.Jun 7 2016, 10:17 AM